{
    "dynamic":"strict",
    "properties": {
        "id":{"type":"long"},
        "is_online":{"type":"boolean"},
        "question_id":{"type":"long"},
        "smart_rank":{"type":"long"},
        "smart_rank_v2":{"type":"double"},
        "title":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //问题标题
        "desc":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //问题描述
        "answer":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //回答内容
        // 相关推荐,得分
        "recommend_score": {"type": "double"},
        "tag_ids": {"type": "long"},
        "tag_name": {"type": "string"},
        "tag_name_analyze": {"type": "string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"},
        // 新标签
        "fresh_tag_ids": {"type": "long"},
        "fresh_tag_name": {"type": "string"},
        "good_click": {"type":"long"},

        "content_level":{"type":"string", "index":"not_analyzed"},
        "has_picture":{"type":"boolean"},   // 回答及其问题是否有图片
        "content_length": {"type": "long"},
        "user_id": {"type": "long"},
        "question_type":{"type":"long"},
        "content_type": {"type":"string"},  // 回答内容类型(普通、视频)
        "is_recommend": {"type":"boolean"}, //是否推荐回答
        "create_time":{"type":"date","format":"date_time_no_millis"}, //创建时间
        "create_time_epoch":{"type": "long"}, //创建时间
        "title_pre": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index", "index_options": "offsets"},
        "desc_pre": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index", "index_options": "offsets"},
        "answer_pre": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index", "index_options": "offsets"},
        "hot_score":{"type":"long"},  //热度
        "last_any_reply_time":{"type":"date", "format":"date_time_no_millis"},
        "content_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_first_keyword":{"type":"string","index":"not_analyzed"},
        "title_keyword":{"type":"string","index":"not_analyzed"}
    }
}
